#!/bin/sh

# $0 tap_dev tap_mtu link_mtu ifconfig_local_ip ifconfig_netmask
tap_dev="$1"
tap_mtu="$2"
link_mtu="$3"
ifconfig_local_ip="$4"
ifconfig_netmask="$5"

# make basic port forwarding work
iptables -t nat -I PREROUTING -d ${ifconfig_local_ip} -j VSERVER

# make outward masquerade work
iptables -t nat -A POSTROUTING -o ${tap_dev} -s ! ${ifconfig_local_ip} -j MASQUERADE
